### Option: ProxyMode
#	Proxy operating mode.
#	0 - proxy in the active mode
#	1 - proxy in the passive mode
#
# Mandatory: no
# Default:
# ProxyMode=0

ProxyMode=${ZBX_PROXYMODE}

### Option: Server
#	If ProxyMode is set to active mode:
#		IP address or DNS name (address:port) or cluster (address:port;address2:port) of Zabbix server to get configuration data from and send data to.
#		If port is not specified, default port is used.
#		Cluster nodes need to be separated by semicolon.
#	If ProxyMode is set to passive mode:
#		List of comma delimited IP addresses, optionally in CIDR notation, or DNS names of Zabbix server.
#		Incoming connections will be accepted only from the addresses listed here.
#		If IPv6 support is enabled then '127.0.0.1', '::127.0.0.1', '::ffff:127.0.0.1' are treated equally
#		and '::/0' will allow any IPv4 or IPv6 address.
#		'0.0.0.0/0' can be used to allow any IPv4 address.
#		Example: Server=127.0.0.1,192.168.1.0/24,::1,2001:db8::/32,zabbix.example.com
#
# Mandatory: yes
# Default:
# Server=

Server=${ZBX_SERVER_HOST}

### Option: ProxyConfigFrequency
#	How often proxy retrieves configuration data from Zabbix Server in seconds.
#	For a proxy in the passive mode this parameter will be ignored.
#
# Mandatory: no
# Range: 1-3600*24*7
# Default:
# ProxyConfigFrequency=10

ProxyConfigFrequency=${ZBX_PROXYCONFIGFREQUENCY}

### Option: DataSenderFrequency
#	Proxy will send collected data to the Server every N seconds.
#	For a proxy in the passive mode this parameter will be ignored.
#
# Mandatory: no
# Range: 1-3600
# Default:
# DataSenderFrequency=1

DataSenderFrequency=${ZBX_DATASENDERFREQUENCY}
